print {bnstruct} | R Documentation

## print a `BN`, `BNDataset` or `InferenceEngine` to `stdout`.

### Description

print a `BN`, `BNDataset` or `InferenceEngine` to `stdout`.

### Usage

    ## S3 method for class 'BN'
    print(x, ...)

    ## S3 method for class 'BNDataset'
    print(x, show.raw.data = FALSE,
      show.imputed.data = FALSE, ...)

    ## S3 method for class 'InferenceEngine'
    print(x, engine = "jt", ...)

### Arguments

`x` | a `BN`, `BNDataset` or `InferenceEngine`.
`...` | potential other arguments.
`show.raw.data` | if `x` is a `BNDataset`, print also raw dataset, if available.
`show.imputed.data` | if `x` is a `BNDataset`, print also imputed dataset, if available.
`engine` | if `x` is an `InferenceEngine`, specify the inference engine to be shown. Currently only `engine = 'jt'` is supported.

[Package bnstruct version 1.0.6 Index]